unit BMMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,ClipBrd, ExtCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Panel1: TPanel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

var BM: TBitmap;

procedure TForm1.Button1Click(Sender: TObject);
var X,Y: integer;
var MyFormat : Word;
var AData: cardinal;
var APalette : HPALETTE;
begin
BM.LoadFromClipBoardFormat(cf_BitMap,ClipBoard.GetAsHandle(cf_Bitmap),0);
Image1.Picture.Bitmap.Assign(BM);
X:=BM.Width-1;
Y:=BM.Height-1;
{Top left}
BM.Canvas.Pixels[0,0]:=clTeal;
BM.Canvas.Pixels[1,0]:=clTeal;
BM.Canvas.Pixels[0,1]:=clTeal;

{Top Right}
BM.Canvas.Pixels[X,0]:=clTeal;
BM.Canvas.Pixels[X-1,0]:=clTeal;
BM.Canvas.Pixels[X,1]:=clTeal;

{Bottom left}
BM.Canvas.Pixels[0,Y]:=clTeal;
BM.Canvas.Pixels[1,Y]:=clTeal;
BM.Canvas.Pixels[0,Y-1]:=clTeal;

{Bottom Right}
BM.Canvas.Pixels[X,Y]:=clTeal;
BM.Canvas.Pixels[X-1,Y]:=clTeal;
BM.Canvas.Pixels[X,Y-1]:=clTeal;
Image1.Picture.Bitmap.Assign(BM);
BM.SaveToClipBoardFormat(MyFormat,AData,APalette);
ClipBoard.SetAsHandle(MyFormat,AData);
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
BM:=TBitmap.Create;
end;



procedure TForm1.FormDestroy(Sender: TObject);
begin
BM.Free;
end;


end.
