unit VariantLib;

interface

uses Variants;

function VarToInteger(V: Variant; ADefault: integer): integer;
function NoNullVariant(V: Variant; ADefault: string): Variant;

implementation


function VarToInteger(V: Variant; ADefault: integer): integer;
begin
if not VarIsNull(V) then Result := V
else Result := ADefault;
end;


function NoNullVariant(V: Variant; ADefault: string): Variant;
begin
if not VarIsNull(V) then Result := V
else Result := ADefault;
end;


end.
