unit RegistrarReg;

interface

uses Classes,Registrar,DesignIntf, DesignEditors,Dialogs;


type TPasswordProperty = class(TStringProperty)
 public
  procedure Edit; override;
  function GetAttributes: TPropertyAttributes; override;
 end;

procedure Register;

implementation



procedure Register;
begin
RegisterPropertyEditor(TypeInfo(TPassword), TRegistrar, 'TargetPassword', TPasswordProperty);
RegisterComponents('Fountain',[TRegistrar]);
end;




procedure TPasswordProperty.Edit;
var S: string;
begin
S:=EncryptString(GetStrValue);
if InputQuery('Password Encrypter', 'Enter Password', S) then SetStrValue(EncryptString(S));
end;


function TPasswordProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog, paRevertable];
end;


end.
