unit IEGausian;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, SpinButtons, Realspin,BitmapLib;

type
  TGausianDlg = class(TForm)
    CancelBtn: TButton;
    GaussianGroup: TGroupBox;
    Label2: TLabel;
    RadiusSpin: TRealSpin;
    BlurBtn: TButton;
    BitBtn1: TBitBtn;
    procedure BlurBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var GausianDlg: TGausianDlg;

procedure DoGausianDlg;



implementation

uses ImageEditor, IEGlobal;

{$R *.dfm}

procedure TGausianDlg.BlurBtnClick(Sender: TObject);
var BM: TBitmap;
var BS: TEdButtonState;
begin
BS:=GetButtonState;
BM:=TBitmap.Create;
try
ShowToolObjects(False);
ImageEditorDlg.ImageUndoer.StoreUndo;
BM.Assign(ImageEditorDlg.Image.Picture.Bitmap);
BM.PixelFormat:=pf24Bit;
if BS=bsClip then GaussianBlur(BM,RadiusSpin.Value,ImageEditorDlg.SelectionBox.SelectionBox)
else GaussianBlur(BM,RadiusSpin.Value);
ImageEditorDlg.Image.Picture.Bitmap.Assign(BM);
ImageEditorDlg.Image.SaveImage;
ShowToolObjects(True);
finally BM.Free; end;
end;



procedure DoGausianDlg;
begin
GausianDlg.ShowModal;
end;


procedure TGausianDlg.CancelBtnClick(Sender: TObject);
begin
Close;
end;

end.
