unit ImageEditor;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ComCtrls, Math, BitmapLib, SelectBox, SpinButtons, Vector, intspin,
  ImageUndoer, Dialogs, Realspin,Clipbrd, Menus,ImageEx,DottedBox, Spin,
  Gauges, CheckedGroup,IntVector,DSupport, Autobttn,VCLLibrary, Grids,
  CheckBoxExt,GLPolygons, GLOutliner, ImageList, subtimer;

type
  TImageEditorDlg = class(TForm)
    Panel1: TPanel;
    OKBtn: TButton;
    CancelBtn: TButton;
    Panel3: TPanel;
    ScrollBox: TScrollBox;
    Image: TImageEx;
    Splitter1: TSplitter;
    SelectionBox: TSelectionBox;
    ImageUndoer: TImageUndoer;
    Panel2: TPanel;
    UndoBtn: TSpeedButton;
    ColorDialog1: TColorDialog;
    PasteBumpBtn: TSpeedButton;
    CopyBtn: TSpeedButton;
    DottedBox1: TDottedBox;
    ProgressGauge: TGauge;
    UndoDis: TPanel;
    Panel4: TPanel;
    PageControl1: TPageControl;
    ScaleSheet: TTabSheet;
    SharpGroup: TRadioGroup;
    GroupBox2: TGroupBox;
    Label6: TLabel;
    IncUnitsDis: TLabel;
    IncRadio: TRadioGroup;
    ResetSizeBtn: TButton;
    ImageSizeDis: TPanel;
    Panel5: TPanel;
    Splitter2: TSplitter;
    PenBtn: TSpeedButton;
    FillBtn: TSpeedButton;
    ClipBoxBtn: TSpeedButton;
    PenSheet: TTabSheet;
    GroupBox1: TGroupBox;
    Label13: TLabel;
    Label14: TLabel;
    LeftColorDis: TPanel;
    RightColorDis: TPanel;
    FillSheet: TTabSheet;
    ColorFillBtn: TSpeedButton;
    ClipSheet: TTabSheet;
    ScaleBtn: TSpeedButton;
    ColorFillSheet: TTabSheet;
    ClipBtn: TSpeedButton;
    PixelSpin: TIntegerSpin;
    MainMenu1: TMainMenu;
    Edit1: TMenuItem;
    Paste1: TMenuItem;
    Copy1: TMenuItem;
    N3: TMenuItem;
    Repeatcommand1: TMenuItem;
    Undo1: TMenuItem;
    Tools1: TMenuItem;
    GausianBlur1: TMenuItem;
    ImageEnhancement1: TMenuItem;
    FlipRotate1: TMenuItem;
    RedoBtn: TSpeedButton;
    RotateBtn: TSpeedButton;
    LeftColorBtn: TAutoButton;
    RightColorBtn: TAutoButton;
    RotationSheet: TTabSheet;
    Group1: TGroupBox;
    Label10: TLabel;
    AngleSpin: TRealSpin;
    Button1: TButton;
    SetSize1: TMenuItem;
    ResetBoxBtn: TSpeedButton;
    Panel6: TPanel;
    Label12: TLabel;
    EditScaleBar: TTrackBar;
    BitBtn1: TBitBtn;
    ResetZoomBtn: TAutoButton;
    CopyBoxBtn: TSpeedButton;
    PasteBoxBtn: TSpeedButton;
    BlurBtn: TSpeedButton;
    BlurSheet: TTabSheet;
    EyeDropperBtn: TSpeedButton;
    EyeDropperSheet: TTabSheet;
    CloneBtn: TSpeedButton;
    CloneSheet: TTabSheet;
    Label18: TLabel;
    DottedBox2: TDottedBox;
    Panel7: TPanel;
    Panel8: TPanel;
    MouseDis: TPanel;
    Panel9: TPanel;
    ColorDis: TPanel;
    Panel10: TPanel;
    PenSizeSpin: TIntegerSpin;
    DodgeBtn: TSpeedButton;
    DodgeSheet: TTabSheet;
    SmudgeBtn: TSpeedButton;
    SmudgeSheet: TTabSheet;
    Label19: TLabel;
    DodgeModeRadio: TRadioGroup;
    DodgeTypeRadio: TRadioGroup;
    CloneRadio: TRadioGroup;
    Panel15: TPanel;
    BurnExposeSpin: TRealSpin;
    Panel16: TPanel;
    RedChk: TCheckBoxExt;
    GreenChk: TCheckBoxExt;
    BlueChk: TCheckBoxExt;
    PolygonBtn: TSpeedButton;
    PolygonSheet: TTabSheet;
    HandleRadio: TRadioGroup;
    Label21: TLabel;
    Panel17: TPanel;
    Panel20: TPanel;
    PolyDis: TPanel;
    PolyPosDis: TPanel;
    Panel19: TPanel;
    StretchBtn: TSpeedButton;
    Label20: TLabel;
    Panel18: TPanel;
    Label24: TLabel;
    Panel21: TPanel;
    Label23: TLabel;
    SmudgeDepthSpin: TRealSpin;
    Panel22: TPanel;
    Label22: TLabel;
    Label25: TLabel;
    Panel23: TPanel;
    Panel25: TPanel;
    MeasureNorthChk: TCheckBox;
    Panel24: TPanel;
    Label9: TLabel;
    Panel26: TPanel;
    Label5: TLabel;
    FillThresholdBar: TTrackBar;
    FillThresholdDis: TPanel;
    Panel27: TPanel;
    Label4: TLabel;
    Panel28: TPanel;
    Label8: TLabel;
    ColorThresholdBar: TTrackBar;
    ColorThresholdDis: TPanel;
    Panel29: TPanel;
    Label11: TLabel;
    Panel30: TPanel;
    RubberChk: TCheckBox;
    Panel31: TPanel;
    Label3: TLabel;
    Panel32: TPanel;
    Label2: TLabel;
    RadiusSpin: TRealSpin;
    Panel33: TPanel;
    Label1: TLabel;
    Label16: TLabel;
    Panel34: TPanel;
    Panel35: TPanel;
    Panel14: TPanel;
    CloneBaseDis: TEditEx;
    Panel11: TPanel;
    CloneStartDis: TEditEx;
    Panel12: TPanel;
    CloneSourceDis: TEditEx;
    Panel13: TPanel;
    CloneDestDis: TEditEx;
    Panel36: TPanel;
    AlignedChk: TCheckBox;
    Panel37: TPanel;
    Label17: TLabel;
    Panel38: TPanel;
    DeleteBtn: TSpeedButton;
    AddBtn: TSpeedButton;
    DeletePolygBtn: TSpeedButton;
    ClearAllBtn: TBitBtn;
    Panel39: TPanel;
    Label7: TLabel;
    SegmentsSpin: TIntegerSpin;
    ModuloSnapChk: TCheckBox;
    ModuloSpin: TIntegerSpin;
    Label26: TLabel;
    PolyClipChk: TCheckBox;
    N1: TMenuItem;
    UndoList1: TMenuItem;
    PolyUndoBtn: TSpeedButton;
    DottedPoly: TDottedPolygon;
    Timer1: TTimer;
    EnhanceSheet: TTabSheet;
    Label15: TLabel;
    EnhanceBtn: TSpeedButton;
    Panel50: TPanel;
    Panel51: TPanel;
    Panel52: TPanel;
    Panel54: TPanel;
    Panel55: TPanel;
    Label29: TLabel;
    Panel40: TPanel;
    HueBar: TTrackBar;
    Panel41: TPanel;
    HueSpin: TRealSpin;
    Label28: TLabel;
    Panel42: TPanel;
    Panel43: TPanel;
    BrightSpin: TRealSpin;
    BrightnessBar: TTrackBar;
    Label27: TLabel;
    Panel44: TPanel;
    Panel45: TPanel;
    GammaSpin: TRealSpin;
    GammaBar: TTrackBar;
    Label30: TLabel;
    Panel48: TPanel;
    Panel49: TPanel;
    ContrastSpin: TRealSpin;
    ContrastBar: TTrackBar;
    Label31: TLabel;
    Panel46: TPanel;
    Panel47: TPanel;
    SatSpin: TRealSpin;
    SaturationBar: TTrackBar;
    ResetBCGBtn: TButton;
    View1: TMenuItem;
    PreviewMnu: TMenuItem;
    SprayBtn: TSpeedButton;
    SpraySheet: TTabSheet;
    Label32: TLabel;
    DenseSpin: TIntegerSpin;
    Label33: TLabel;
    PreciseSizing1: TMenuItem;
    PreviewPanel: TPanel;
    PreScrollBox: TScrollBox;
    PreviewImage: TImage;
    PreviewSplitter: TSplitter;
    procedure FormCreate(Sender: TObject);
    procedure EditScaleBarChange(Sender: TObject);
    procedure ImageMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImageMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ImageMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure DrawModeRadioClick(Sender: TObject);
    procedure UndoBtnClick(Sender: TObject);
    procedure ClipBtnClick(Sender: TObject);
    procedure LeftColorBtnClick(Sender: TObject);
    procedure RightColorBtnClick(Sender: TObject);
    procedure PasteBumpBtnClick(Sender: TObject);
    procedure CopyBtnClick(Sender: TObject);
    procedure ImageMouseLeave(Sender: TObject);
    procedure ResetSizeBtnClick(Sender: TObject);
    procedure StretchBtnClick(Sender: TObject);
    procedure ImageUndoerChange(Sender: TObject);
    procedure PenBtnClick(Sender: TObject);
    procedure PixelSpinChange(Sender: TObject);
    procedure GausianBlur1Click(Sender: TObject);
    procedure ImageEnhancement1Click(Sender: TObject);
    procedure IncRadioClick(Sender: TObject);
    procedure FlipRotate1Click(Sender: TObject);
    procedure ColorThresholdBarChange(Sender: TObject);
    procedure RedoBtnClick(Sender: TObject);
    procedure FillThresholdBarChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure MeasureNorthChkClick(Sender: TObject);
    procedure SetSize1Click(Sender: TObject);
    procedure ResetBoxBtnClick(Sender: TObject);
    procedure ResetZoomBtnClick(Sender: TObject);
    procedure CopyBoxBtnClick(Sender: TObject);
    procedure PasteBoxBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ScrollBoxMouseWheelDown(Sender: TObject; Shift: TShiftState;
      MousePos: TPoint; var Handled: Boolean);
    procedure ScrollBoxMouseWheelUp(Sender: TObject; Shift: TShiftState;
      MousePos: TPoint; var Handled: Boolean);
    procedure AddBtnClick(Sender: TObject);
    procedure ImageDblClick(Sender: TObject);
    procedure HandleRadioClick(Sender: TObject);
    procedure DeleteBtnClick(Sender: TObject);
    procedure DeletePolygBtnClick(Sender: TObject);
    procedure ClearAllBtnClick(Sender: TObject);
    procedure ScaleBtnMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure UndoList1Click(Sender: TObject);
    procedure PolyClipChkClick(Sender: TObject);
    procedure PolyUndoBtnClick(Sender: TObject);
    procedure ImageBackChanged(Sender: TObject);
    procedure PenSizeSpinChange(Sender: TObject);
    procedure BrightnessBarChange(Sender: TObject);
    procedure ContrastBarChange(Sender: TObject);
    procedure GammaBarChange(Sender: TObject);
    procedure HueBarChange(Sender: TObject);
    procedure SaturationBarChange(Sender: TObject);
    procedure BrightSpinChange(Sender: TObject);
    procedure ContrastSpinChange(Sender: TObject);
    procedure GammaSpinChange(Sender: TObject);
    procedure HueSpinChange(Sender: TObject);
    procedure SatSpinChange(Sender: TObject);
    procedure ResetBCGBtnClick(Sender: TObject);
    procedure PreviewMnuClick(Sender: TObject);
    procedure PreciseSizing1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
   procedure MouseWheelHandler(var Message: TMessage); override;
   procedure PolygonChange(Sender: TObject);
   procedure PictureChange(Sender: TObject);
  end;

var
  ImageEditorDlg: TImageEditorDlg;

type TEdButtonState = (bsPen,bsSpray,bsFill,bsColorFill,bsClip,bsScale,bsRotate,bsBlur,
			bsClone,bsEyeDropper,bsDodge,bsEnhance,bsSmudge,bsPolygon);

procedure EditImage(BM: TBitmap);
function GetButtonState: TEdButtonState;


procedure ShowToolObjects(ShowObjects,Clicked: boolean); overload;
procedure ShowToolObjects(ShowObjects: boolean); overload;

implementation

uses IEResize, IEGausian, IEEnhance, IEFlip, IERotate,
  IESetSize, IEPenDrawing, IEFill, IEClone, IEDodge, IEClipper,
  IEPolygonUndo, IEPolygonLib, IEUndoListDlg, IEPreview, IEPreciseSize;

{$R *.dfm}





procedure ShowToolObjects(ShowObjects,Clicked: boolean);
var BS: TEdButtonState;
var Scale: double;
begin
with ImageEditorDlg do
 begin
 Scale:=EditScaleBar.Position/100;
 BS:=GetButtonState;
 case BS of
  bsPen, bsSpray, bsBlur, bsDodge, bsSmudge, bsEnhance, bsClone:
	begin
	if ShowObjects then
		begin
                DottedBox1.ShowRectangle;
		if BS = bsClone then DottedBox2.ShowRectangle;
		if PolyClipChk.Checked then DottedPoly.ShowPolygon;
		end
	else
		begin
		DottedBox1.HideRectangle;
		DottedBox2.HideRectangle;
		DottedPoly.HidePolygon;
		ImageEditorDlg.ScrollBox.Repaint;
		end;
	end;
  bsClip:
	begin
	if not Clicked then
		begin
		if ShowObjects then ImageEditorDlg.SelectionBox.ShowBox
		else
			begin
			SelectionBox.HideBox;
			ImageEditorDlg.ScrollBox.Repaint;
			end;
		end;
	end;
  bsScale:
	begin
	end;
  bsRotate:
	begin
	if ShowObjects and ImageEditorDlg.MeasureNorthChk.Checked then DrawNorthLine
	else
		begin
		HideOldNorthLine;
		ImageEditorDlg.ScrollBox.Repaint;
		end;
	end;
  bsPolygon:
	begin
	if ShowObjects then
		begin
		DottedPoly.HidePolygon;
		UpdatePolygons(Scale);
		end
	else
		begin
		Image.RestoreImage;
		ImageEditorDlg.ScrollBox.Repaint;
		end;
  	end;
  end;
 end;
end;



procedure ShowToolObjects(ShowObjects: boolean);
begin
ShowToolObjects(ShowObjects,False);
end;




procedure TImageEditorDlg.MouseWheelHandler(var Message: TMessage);
var hdl: THandle;
begin
hdl:= WindowFromPoint(SmallPointToPoint(TSmallPoint(Message.lParam)));
while (hdl <> 0) and (hdl <> ScrollBox.Handle) do hdl := GetParent(hdl);
if (hdl = ScrollBox.Handle) then
	begin
	Message.Result := 1;
	ScrollBox.Perform(CM_MOUSEWHEEL, Message.WParam, Message.LParam);
	end
else inherited MouseWheelHandler(Message);
end;



function GetButtonState: TEdButtonState;
begin
with ImageEditorDlg do
 begin
 if PenBtn.Down then Result:=bsPen
 else if SprayBtn.Down then Result:=bsSpray
 else if FillBtn.Down then Result:=bsFill
 else if ColorFillBtn.Down then Result:=bsColorFill
 else if ClipBoxBtn.Down then Result:=bsClip
 else if ScaleBtn.Down then Result:=bsScale
 else if RotateBtn.Down then Result:=bsRotate
 else if BlurBtn.Down then Result:=bsBlur
 else if EyeDropperBtn.Down then Result:=bsEyeDropper
 else if CloneBtn.Down then Result:=bsClone
 else if DodgeBtn.Down then Result:=bsDodge
 else if EnhanceBtn.Down then Result:=bsEnhance
 else if SmudgeBtn.Down then Result:=bsSmudge
 else if PolygonBtn.Down then Result:=bsPolygon;
 end;
end;



procedure TImageEditorDlg.ScaleBtnMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ShowToolObjects(False);
end;


procedure EnablePolyClipper(Enable: boolean);
begin
if Enable then
	begin
	PolyClipper.Enabled:=True;
	end
else
	begin
	PolyClipper.Enabled:=False;
	end;

end;




procedure TImageEditorDlg.PenBtnClick(Sender: TObject);
var BS: TEdButtonState;
begin
ShowToolObjects(False);
BS:=GetButtonState;
case BS of
 bsPen: PageControl1.ActivePage:=PenSheet;
 bsSpray: PageControl1.ActivePage:=SpraySheet;
 bsFill: PageControl1.ActivePage:=FillSheet;
 bsColorFill: PageControl1.ActivePage:=ColorFillSheet;
 bsClip: PageControl1.ActivePage:=ClipSheet;
 bsScale: PageControl1.ActivePage:=ScaleSheet;
 bsRotate: Pagecontrol1.ActivePage:=RotationSheet;
 bsBlur: PageControl1.ActivePage:=BlurSheet;
 bsEyeDropper: PageControl1.ActivePage:=EyeDropperSheet;
 bsClone: PageControl1.ActivePage:=CloneSheet;
 bsDodge: PageControl1.ActivePage:=DodgeSheet;
 bsEnhance: PageControl1.ActivePage:=EnhanceSheet;
 bsSmudge: PageControl1.ActivePage:=SmudgeSheet;
 bsPolygon: PageControl1.ActivePage:=PolygonSheet;
 end;

if PolyClipChk.Checked then
	begin
	case BS of
	 bsPen, bsSpray, bsFill, bsColorFill,  bsBlur,
	 bsClone, bsDodge, bsEnhance, bsSmudge: EnablePolyClipper(True);
	 bsClip, bsScale, bsRotate, bsEyeDropper,
	 bsPolygon: EnablePolyClipper(False);
	 end;
	end
else EnablePolyClipper(False);
ShowToolObjects(True);
end;







function IsClipBoxMode: boolean;
var BS: TEdButtonState;
begin
BS:=GetButtonState;
Result:=BS=bsClip;
end;



procedure DrawBlurBrush(Start: boolean; X,Y: integer);
var T: double;
begin
if Start then
	begin
	ImageEditorDlg.Image.RestoreImage;
	ImageEditorDlg.ImageUndoer.StoreUndo;
        end;

GaussBlurCircle(PolyClipper.InitializeBMPClip(ImageEditorDlg.Image.Picture.Bitmap).Canvas,Point(X,Y),ImageEditorDlg.PenSizeSpin.value,ImageEditorDlg.RadiusSpin.Value);
PolyClipper.DoBMPClip(ImageEditorDlg.Image.Picture.Bitmap);
ImageEditorDlg.Image.Invalidate;
end;



procedure DrawEnhancedBrush(Start: boolean; X,Y,Size: integer);
var Bright,Contrast,Gamma,Hue,Saturation: double;
begin
Bright:=ImageEditorDlg.BrightnessBar.Position/100;
Contrast:=ImageEditorDlg.ContrastBar.Position/100;
Gamma:=ImageEditorDlg.GammaBar.Position/100;

Hue:=ImageEditorDlg.HueBar.Position/10;
Saturation:=ImageEditorDlg.SaturationBar.Position/100;
DoEnhance(Start,X,Y,Size,Bright,Contrast,Gamma,Hue,Saturation);
end;



{------------------------------------------------------------------------------}


var MouseBtnDown: boolean;


var PixelSampling: boolean;
var LastButton: TEdButtonState;


procedure HandleControlSample(Ctrl: boolean; BS: TEdButtonState);
begin
PixelSampling:=Ctrl and (BS in [bsPen, bsSpray, bsFill, bsColorFill]);
if PixelSampling then
	begin
	ImageEditorDlg.EyeDropperBtn.Down:=True;
	end;
end;


procedure FinishControlSample;
begin
if not PixelSampling then exit;
case LastButton of
 bsPen: ImageEditorDlg.PenBtn.Down:=True;
 bsSpray: ImageEditorDlg.SprayBtn.Down:=True;
 bsFill: ImageEditorDlg.FillBtn.Down:=True;
 bsColorFill: ImageEditorDlg.ColorFillBtn.Down:=True;
 end;
PixelSampling:=False;
end;



procedure DisplayMouse(X,Y: integer);
var Scale: double;
var SX,SY: double;
var C: TColor;
begin
with ImageEditorDlg do
 begin
 Scale:=EditScaleBar.Position/100;
 SX:=X / Scale; SY:=Y /Scale;
 MouseDis.Caption:=IntToStr(trunc(SX))+','+IntToStr(trunc(SY));
 C:=Image.Picture.Bitmap.Canvas.Pixels[trunc(SX),trunc(SY)];
 ColorDis.Caption:=ColorToRGBString(C);
 end;
end;


function GetDodgeMode: TDodgeBurnMode;
begin
case ImageEditorDlg.DodgeModeRadio.ItemIndex of
 0: Result:=dmHighlight;
 1: Result:=dmMidtones;
 2: Result:=dmShadows;
 end;
end;



function GetCloneMode: TCloneMode;
begin
case ImageEditorDlg.CloneRadio.ItemIndex of
 0: Result:=cmNormal;
 1: Result:=cmHorizontal;
 2: Result:=cmVertical;
 3: Result:=cmDiagonal;
 end;
end;



procedure TImageEditorDlg.ImageMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var BS: TEdButtonState;
var C: TColor;
var Scale: double;
var Size,Dense: integer;
var XM,YM,XS,YS: integer;
var Ctrl: boolean;
var R: TRect;
begin
Ctrl:=ssCtrl in Shift;
BS:=GetButtonState;
MouseBtnDown:=False;
if ssLeft in Shift then C:=LeftColorDis.Color
else if ssRight in Shift then C:=RightColorDis.Color
else exit;
MouseBtnDown:=True;
ShowToolObjects(False,True);
HandleControlSample(Ctrl,BS);
Size:=Self.PenSizeSpin.Value;
Scale:=EditScaleBar.Position/100;
XS:=Trunc(X/Scale); YS:=Trunc(Y/Scale);
GetModuloPixel(X,Y,XM,YM,Size,Scale);
PolyClipper.SplinePoints:=SegmentsSpin.Value;
Dense:=DenseSpin.Value;
case BS of
 bsPen: if Ctrl then SamplePixel(XS,YS, Shift) else DrawOnImage(True,XM,YM,Size,Scale,C);
 bsSpray: if Ctrl then SamplePixel(XS,YS, Shift) else SprayDraw(True,XM,YM,Dense,Size,C);
 bsFill: if Ctrl then SamplePixel(XS,YS, Shift) else FloodFillOnImage(True,XS,YS,Size,C);
 bsColorFill: if Ctrl then SamplePixel(XS,YS, Shift) else ColorFillOnImage(True,XS,YS,Size,ColorThresholdBar.Position/100,C);
 bsClip: SelectionBox.BoxMouseDown(X,Y);
 bsScale: ;
 bsRotate: if MouseBtnDown and MeasureNorthChk.Checked then SetNorthStart(XS,YS);
 bsBlur: DrawBlurBrush(True, XS,YS);
 bsEyeDropper: SamplePixel(XS,YS, Shift);
 bsClone: CloneMouseDown(XM,YM,GetCloneMode,Shift);
 bsDodge: DoDodge(True, XM,YM,Size,DodgeTypeRadio.ItemIndex=0, GetDodgeMode,BurnExposeSpin.Value/10);
 bsEnhance: DrawEnhancedBrush(True,XM,YM,Size);
 bsSmudge: DoSmudge(True,XM,YM,Size,SmudgeDepthSpin.Value);
 bsPolygon: if Ctrl then PolyDrawMouseDown(Button, Shift, XS, YS, Scale) else PolygonMouseDown(Button, Shift, XS, YS, Scale);
 end;
LastButton:=BS;
end;






procedure TImageEditorDlg.ImageMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
var Flood: boolean;
var BS: TEdButtonState;
var C: TColor;
var Scale: double;
var Size,Dense: integer;
var XM,YM,XS,YS: integer;
var R: TRect;
var Ctrl: boolean;
begin
Ctrl:=ssCtrl in Shift;
DisplayMouse(X,Y);
if ssLeft in Shift then C:=LeftColorDis.Color
else if ssRight in Shift then C:=RightColorDis.Color;
Scale:=EditScaleBar.Position/100;
Size:=PenSizeSpin.Value;
Dense:=DenseSpin.Value;
XS:=round(X/Scale); YS:=round(Y/Scale);

GetModuloPixel(X,Y,XM,YM,Size,Scale);

BS:=GetButtonState;
if not MouseBtnDown and (BS in [bsPen, bsSpray, bsBlur, bsDodge, bsEnhance, bsSmudge,bsClone]) then DrawPenBox1(Image,XS,YS,Size,1,True);

case BS of
 bsPen: if MouseBtnDown then DrawOnImage(False,XM,YM,Size,Scale,C);
 bsSpray: if MouseBtnDown then SprayDraw(False,XM,YM,Dense,Size,C);
 bsFill: if MouseBtnDown then FloodFillOnImage(False,XS,YS,Size,C);
 bsColorFill: if MouseBtnDown then ColorFillOnImage(False,XS,YS,Size,ColorThresholdBar.Position/100,C);
 bsClip: SelectionBox.BoxMouseMove(X,Y);
 bsScale: ;
 bsRotate: if MouseBtnDown and MeasureNorthChk.Checked then SetNorthEnd(XS,YS);
 bsBlur: if MouseBtnDown then DrawBlurBrush(False, XS,YS);
 bsEyeDropper: SamplePixel(XS,YS, Shift);
 bsClone: CloneMouseMove(X,Y,XM,YM,GetCloneMode,Scale,Shift);
 bsDodge: if MouseBtnDown then DoDodge(False, XM,YM,Size,DodgeTypeRadio.ItemIndex=0,GetDodgeMode,BurnExposeSpin.Value/10);
 bsEnhance: if MouseBtnDown then DrawEnhancedBrush(False,XM,YM,Size);
 bsSmudge: if MouseBtnDown then DoSmudge(False,XM,YM,Size,SmudgeDepthSpin.Value);
 bsPolygon: if Ctrl then PolyDrawMouseMove(Shift, XS, YS, Scale) else PolygonMouseMove(Shift, XS, YS,Scale);
 end;
end;



procedure TImageEditorDlg.ImageMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var Scale: double;
var XS,YS: integer;
var BS: TEdButtonState;
begin
BS:=GetButtonState;
FinishControlSample;


case BS of
 bsPen, bsSpray, bsFill, bsColorFill, bsClip,
 bsBlur, bsClone, bsDodge, bsEnhance,
 bsSmudge: ImageEditorDlg.Image.SaveImage;
 bsScale: ;
 bsRotate: ;
 bsEyeDropper: ;
 bsPolygon:
	begin
	Scale:=EditScaleBar.Position/100;
	XS:=round(X/Scale); YS:=round(Y/Scale);
	HandlePolygonMouseUp(Button,Shift, XS, YS);
	end;
 end;
MouseBtnDown:=False;
ShowToolObjects(True,True);
end;




procedure TImageEditorDlg.ImageDblClick(Sender: TObject);
var Scale: double;
var BS: TEdButtonState;
begin
BS:=GetButtonState;
Scale:=EditScaleBar.Position/100;
if BS=bsPolygon then HandlePolygonDoubleClick(Scale);
end;



procedure ScaleImage;
var Scale: double;
begin
with ImageEditorDlg do
 begin
 Scale:=EditScaleBar.Position/100;
 ZoomImageScrollBox(ScrollBox,Image,Scale);
 SelectionBox.Scale2D:=MakeVector2D(Scale,Scale);

 DottedBox1.Scale:=Scale;
 DottedBox2.Scale:=Scale;
 DottedPoly.Scale:=Scale;
 end;
end;




procedure AdjustScaleBar(PolyUpdate: boolean);
var Scale: double;
begin
ShowToolObjects(False);
ScaleImage;
if PolyUpdate then UpdatePolygons(Scale);
ImageEditorDlg.ScrollBox.Repaint;
ShowToolObjects(True);
end;




procedure TImageEditorDlg.EditScaleBarChange(Sender: TObject);
begin
AdjustScaleBar(GetButtonState=bsPolygon);
PolygonChange(Sender);
end;



procedure TImageEditorDlg.DrawModeRadioClick(Sender: TObject);
begin
if IsClipBoxMode then SelectionBox.ShowBox
else SelectionBox.HideBox;
ClipBtn.Enabled:=IsClipBoxMode;
end;



procedure TImageEditorDlg.UndoBtnClick(Sender: TObject);
var OldSize: T2DVector;
var SX,SY: integer;
begin
ShowToolObjects(False);
try
Image.RestoreImage;
SX:=ScrollBox.HorzScrollBar.Position;
SY:=ScrollBox.VertScrollBar.Position;
OldSize:=MakeVector2D(Image.Width,Image.Height);
ImageUndoer.Undo;
NormalizeImageSize(Image);
GetInputSize;
ScaleImage;
ScrollBox.HorzScrollBar.Position:=SX;
ScrollBox.VertScrollBar.Position:=SY;
Image.SaveImage;
{Box drawn on underlying canvas, so repaint it}
ScrollBox.Repaint;
finally ShowToolObjects(True); end;
end;



procedure TImageEditorDlg.RedoBtnClick(Sender: TObject);
var SX,SY: integer;
begin
ShowToolObjects(False);
try
SX:=ScrollBox.HorzScrollBar.Position;
SY:=ScrollBox.VertScrollBar.Position;
ImageUndoer.Redo;
NormalizeImageSize(Image);
Image.SaveImage;
GetInputSize;
ScaleImage;
ScrollBox.HorzScrollBar.Position:=SX;
ScrollBox.VertScrollBar.Position:=SY;
finally ShowToolObjects(True); end;
end;



{-------------------Do Image Clipping -----------------------------------------}


procedure TImageEditorDlg.ClipBtnClick(Sender: TObject);
var R: TRect;
begin
R:=SelectionBox.SelectionBox;
ShowToolObjects(False);
ImageUndoer.StoreUndo;
ClipBitmap(Image.Picture.Bitmap,SelectionBox.SelectionBox);
NormalizeImageSize(Image);
Image.SaveImage;
SelectionBox.SelectionBox:=Rect(0,0,10,10);
ShowToolObjects(True);
end;




procedure GetPenColor(Panel: TPanel);
begin
ImageEditorDlg.ColorDialog1.Color:=Panel.Color;
if ImageEditorDlg.ColorDialog1.Execute then
	Panel.Color:=ImageEditorDlg.ColorDialog1.Color;
end;



procedure TImageEditorDlg.LeftColorBtnClick(Sender: TObject);
begin
GetPenColor(LeftColorDis);
end;



procedure TImageEditorDlg.RightColorBtnClick(Sender: TObject);
begin
GetPenColor(RightColorDis);
end;



procedure TImageEditorDlg.PasteBumpBtnClick(Sender: TObject);
var R: TRect;
begin
ShowToolObjects(False);
ImageUndoer.StoreUndo;
ShowToolObjects(True);
Image.Picture.Bitmap.LoadFromClipboardFormat(cf_BitMap,ClipBoard.GetAsHandle(cf_Bitmap),0);
NormalizeImageSize(Image);
Image.SaveImage;
end;




procedure TImageEditorDlg.PasteBoxBtnClick(Sender: TObject);
var BM: TBitmap;
var R: TRect;
begin
BM:=TBitmap.Create;
try
ShowToolObjects(False);
ImageUndoer.StoreUndo;
ShowToolObjects(True);

SelectionBox.HideBox;
try
BM.LoadFromClipboardFormat(cf_BitMap,ClipBoard.GetAsHandle(cf_Bitmap),0);
Image.Picture.Bitmap.Canvas.Draw(SelectionBox.SelectionBox.Left,SelectionBox.SelectionBox.Top,BM);
R:=SelectionBox.SelectionBox;
R.Right:=R.Left+BM.Width;
R.Bottom:=R.Top+BM.Height;

NormalizeImageSize(Image);
Image.SaveImage;
SelectionBox.SetAndShowBox(R);
finally SelectionBox.ShowBox end;
finally BM.Free; end;
end;





procedure TImageEditorDlg.CopyBtnClick(Sender: TObject);
var MyFormat: Word;
var AData: THandle;
var APalette: HPALETTE;
begin
Image.Picture.Bitmap.SaveToClipBoardFormat(MyFormat,AData,APalette);
ClipBoard.SetAsHandle(MyFormat,AData);
end;



procedure TImageEditorDlg.CopyBoxBtnClick(Sender: TObject);
var MyFormat: Word;
var AData: THandle;
var APalette: HPALETTE;
var BM: TBitmap;
var R: TRect;
begin
BM:=TBitmap.Create;
try
SelectionBox.HideBox;
try
BM.Width:=SelectionBox.SelectionBox.Right-SelectionBox.SelectionBox.Left;
BM.Height:=SelectionBox.SelectionBox.Bottom-SelectionBox.SelectionBox.Top;
BM.Canvas.CopyRect(Rect(0,0,BM.Width,BM.Height),Image.Canvas,SelectionBox.SelectionBox);
finally SelectionBox.ShowBox; end;
BM.SaveToClipBoardFormat(MyFormat,AData,APalette);
ClipBoard.SetAsHandle(MyFormat,AData);
finally BM.Free; end;
end;



procedure TImageEditorDlg.ImageMouseLeave(Sender: TObject);
begin
//DottedBox1.HideRectangle;
end;



procedure TImageEditorDlg.ResetSizeBtnClick(Sender: TObject);
begin
GetInputSize;
NormalizeSize(True);
end;




procedure TImageEditorDlg.StretchBtnClick(Sender: TObject);
begin
ShowToolObjects(False);
try
ResizeImage;
NormalizeImageSize(Image);
GetInputSize;
finally ShowToolObjects(True); end;
end;



procedure TImageEditorDlg.ImageUndoerChange(Sender: TObject);
begin
UndoDis.Caption:=IntToStr(ImageUndoer.Undoer.Count)+'/'+IntToStr(ImageUndoer.Redoer.Count);
//ShowUndoItems;
end;


procedure TImageEditorDlg.PixelSpinChange(Sender: TObject);
begin
NormalizeSize(True);
end;

procedure TImageEditorDlg.GausianBlur1Click(Sender: TObject);
begin
DoGausianDlg;
end;

procedure TImageEditorDlg.ImageEnhancement1Click(Sender: TObject);
begin
ShowToolObjects(False);
PolyClipper.Enabled:=PolyClipChk.Checked;
ImageUndoer.StoreUndo;
DoEnhanceDlg;
Image.SaveImage;
ShowToolObjects(True);
PenBtnClick(Sender);
end;




procedure TImageEditorDlg.IncRadioClick(Sender: TObject);
begin
PixelSpin.Increment:=StrToIntDef(IncRadio.Items[IncRadio.ItemIndex],1);
end;



procedure TImageEditorDlg.FlipRotate1Click(Sender: TObject);
begin
DoFlipDlg;
end;



procedure TImageEditorDlg.FormCreate(Sender: TObject);
begin
ScrollBox.DoubleBuffered:=True;
Image.Picture.Bitmap.OnChange:=PictureChange;
SelectionBox.SelectionBox:=Rect(0,0,50,50);
SelectionBox.HideBox;
PenBtnClick(Sender);
PolygonArray.OnChange:=PolygonChange;
PreScrollBox.DoubleBuffered:=True;
end;


procedure EditImage(BM: TBitmap);
begin
PolygonArray.Clear;
ClearUndoList;
SelectPoint.Valid:=false;
ResetNorthLine;

ImageEditorDlg.ImageUndoer.Clear;
ResetBrightContrastGamma(False);
BM.PixelFormat:=pf24Bit;
ImageEditorDlg.Image.AutoSize:=True;
ImageEditorDlg.Image.Picture.Bitmap.Assign(BM);

ImageEditorDlg.Image.AutoSize:=False;
ImageEditorDlg.Image.SaveImage;
GetInputSize;
NormalizeSize(True);
ImageEditorDlg.EditScaleBar.Position:=100;
AdjustScaleBar(False);
ImageEditorDlg.ShowModal;
if ImageEditorDlg.ModalResult=mrOK then
	begin
	ShowToolObjects(False);
	BM.Assign(ImageEditorDlg.Image.Picture.Bitmap);
	ShowToolObjects(True);
	end;
end;



procedure TImageEditorDlg.ColorThresholdBarChange(Sender: TObject);
begin
ColorThresholdDis.Caption:=FloatToStrF(ColorThresholdBar.Position/100,ffFixed,18,2);
end;



procedure TImageEditorDlg.MeasureNorthChkClick(Sender: TObject);
begin
if MeasureNorthChk.Checked then DrawNorthLine
else HideOldNorthLine;
end;



procedure TImageEditorDlg.FillThresholdBarChange(Sender: TObject);
var T: double;
begin
T:=FillThresholdBar.Position/100;
T:=GammaFunction(T);
FillThresholdDis.Caption:=FloatToStrF(T,ffFixed,18,2);
end;



procedure TImageEditorDlg.Button1Click(Sender: TObject);
begin
DoCurrentRotation;
end;




procedure TImageEditorDlg.SetSize1Click(Sender: TObject);
begin
ShowToolObjects(False);
ImageUndoer.StoreUndo;
DoImageResize(Image);
Image.SaveImage;
ShowToolObjects(True);
end;




procedure TImageEditorDlg.ResetBoxBtnClick(Sender: TObject);
begin
SelectionBox.SelectionBox:=Rect(0,0,50,50);
ScrollBox.HorzScrollBar.Position:=0;
ScrollBox.VertScrollBar.Position:=0;
end;

procedure TImageEditorDlg.ResetZoomBtnClick(Sender: TObject);
begin
ImageEditorDlg.EditScaleBar.Position:=100;
end;


procedure TImageEditorDlg.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ImageUndoer.Clear;
end;



procedure TImageEditorDlg.ScrollBoxMouseWheelDown(Sender: TObject;
  Shift: TShiftState; MousePos: TPoint; var Handled: Boolean);
begin
ScrollBox.VertScrollBar.Position:=ScrollBox.VertScrollBar.Position+20;
end;



procedure TImageEditorDlg.ScrollBoxMouseWheelUp(Sender: TObject;
  Shift: TShiftState; MousePos: TPoint; var Handled: Boolean);
begin
ScrollBox.VertScrollBar.Position:=ScrollBox.VertScrollBar.Position-20;
end;


procedure TImageEditorDlg.AddBtnClick(Sender: TObject);
var Inx1,Inx2: integer;
var Scale: double;
var C: TPoint;
begin
Scale:=EditScaleBar.Position/100;
C.X:=Image.Picture.Bitmap.Width Div 2;
C.Y:=Image.Picture.Bitmap.Height Div 2;
AddUndoItem(PolygonArray);
Inx1:=PolygonArray.Add;
Inx2:=PolygonArray[Inx1].Add(MakeVector2D(C.X-15,C.Y-15));
PolygonArray[Inx1].Add(MakeVector2D(C.X+15,C.Y-15));
PolygonArray[Inx1].Add(MakeVector2D(C.X+15,C.Y+15));
PolygonArray[Inx1].Add(MakeVector2D(C.X-15,C.Y+15));
SelectPoint.PolyInx:=Inx1;
SelectPoint.PointInx:=Inx2;
SelectPoint.Valid:=True;
UpdatePolygons(Scale);
end;


procedure TImageEditorDlg.HandleRadioClick(Sender: TObject);
var Scale: double;
begin
Scale:=EditScaleBar.Position/100;
UpdatePolygons(Scale);
end;



procedure TImageEditorDlg.DeleteBtnClick(Sender: TObject);
var RP: TRealPolygon;
var Scale: double;
begin
Scale:=EditScaleBar.Position/100;
if not SelectPoint.Valid then exit;
if SelectPoint.PolyInx>=PolygonArray.Count then exit;
AddUndoItem(PolygonArray);
RP:=PolygonArray[SelectPoint.PolyInx];
RP.Delete(SelectPoint.PointInx);
if SelectPoint.PointInx>0 then Dec(SelectPoint.PointInx);
if RP.Count<1 then
	begin
	PolygonArray.Delete(SelectPoint.PolyInx);
	SelectPoint.Valid:=False;
	end;
UpdatePolygons(Scale);
end;





procedure TImageEditorDlg.DeletePolygBtnClick(Sender: TObject);
var Scale: double;
begin
Scale:=EditScaleBar.Position/100;
if not SelectPoint.Valid then exit;
if SelectPoint.PolyInx>=PolygonArray.Count then exit;
if MessageDlg('About to delete Current Polygon.',mtWarning,[mbOk,mbCancel],0)<>mrOK then exit;
AddUndoItem(PolygonArray);
PolygonArray.Delete(SelectPoint.PolyInx);
if SelectPoint.PolyInx>0 then Dec(SelectPoint.PolyInx)
else SelectPoint.Valid:=false;
UpdatePolygons(Scale);
end;




procedure TImageEditorDlg.ClearAllBtnClick(Sender: TObject);
var Scale: double;
begin
Scale:=EditScaleBar.Position/100;
if MessageDlg('About to delete All Polygons.',mtWarning,[mbOk,mbCancel],0)<>mrOK then exit;
AddUndoItem(PolygonArray);
PolygonArray.Clear;
SelectPoint.Valid:=false;
UpdatePolygons(Scale);
end;




procedure TImageEditorDlg.UndoList1Click(Sender: TObject);
begin
//ShowUndoListDlg;
end;


procedure TImageEditorDlg.PolyClipChkClick(Sender: TObject);
begin
PolyClipper.Enabled:=PolyClipChk.Checked;
end;



procedure TImageEditorDlg.PolyUndoBtnClick(Sender: TObject);
var Scale: double;
begin
Scale:=EditScaleBar.Position/100;
UndoLastChange(PolygonArray);
UpdatePolygons(Scale);
end;


procedure TImageEditorDlg.ImageBackChanged(Sender: TObject);
begin
//ShowBackBitmap;
UpdatePeview;
end;


procedure RealPolyToPointPoly(RealPoly: TRealPolygonArray; var PointPoly: TPolygonArray; Scale: double);
var I,J: integer;
var RP: TRealPolygon;
begin
SetLength(PointPoly,RealPoly.Count);
for I:=0 to RealPoly.Count-1 do
	begin
	RP:=RealPoly[I];
	SetLength(PointPoly[I],RP.Count);
	for J:=0 to RP.Count-1 do
		begin
		PointPoly[I,J]:=Vector2DToPoint(ScalarProduct2D(RP[J],Scale));
		end;
	end;
end;



procedure TImageEditorDlg.PolygonChange(Sender: TObject);
var I,J: integer;
var RP: TRealPolygon;
var Scale: double;
begin
if Application.Terminated then exit;
Scale:=EditScaleBar.Position/100;
if PolyClipChk.Checked then DottedPoly.HidePolygon;
RealPolyToPointPoly(PolygonArray,DottedPoly.Polygon,1);
if PolyClipChk.Checked then DottedPoly.ShowPolygon;
end;



procedure TImageEditorDlg.PenSizeSpinChange(Sender: TObject);
begin
DottedBox1.HideRectangle;
DottedBox2.HideRectangle;
end;

{-----------------------------------------------------------------------------}


procedure TImageEditorDlg.BrightnessBarChange(Sender: TObject);
begin
BrightSpin.NoEventValue:=BrightnessBar.Position/100;
end;


procedure TImageEditorDlg.ContrastBarChange(Sender: TObject);
begin
ContrastSpin.NoEventValue:=ContrastBar.Position/100;
end;


procedure TImageEditorDlg.GammaBarChange(Sender: TObject);
begin
GammaSpin.NoEventValue:=GammaBar.Position/100;
end;


procedure TImageEditorDlg.HueBarChange(Sender: TObject);
begin
HueSpin.NoEventValue:=HueBar.Position/10;
end;


procedure TImageEditorDlg.SaturationBarChange(Sender: TObject);
begin
SatSpin.NoEventValue:=SaturationBar.Position/100;
end;



{-----------------------------------------------------------------------------}



procedure TImageEditorDlg.BrightSpinChange(Sender: TObject);
begin
BrightnessBar.Position:=Trunc(BrightSpin.Value * 100);
end;



procedure TImageEditorDlg.ContrastSpinChange(Sender: TObject);
begin
ContrastBar.Position:=Trunc(ContrastSpin.Value * 100);
end;


procedure TImageEditorDlg.GammaSpinChange(Sender: TObject);
begin
GammaBar.Position:=Trunc(GammaSpin.Value * 100);
end;

procedure TImageEditorDlg.HueSpinChange(Sender: TObject);
begin

HueBar.Position:=Trunc(HueSpin.Value*10);
end;

procedure TImageEditorDlg.SatSpinChange(Sender: TObject);
begin
SaturationBar.Position:=Trunc(SatSpin.Value*100);
end;




procedure ResetEnhance;
begin
CenterTrackBar(ImageEditorDlg.BrightnessBar);
CenterTrackBar(ImageEditorDlg.ContrastBar);
CenterTrackBar(ImageEditorDlg.GammaBar);
CenterTrackBar(ImageEditorDlg.HueBar);
CenterTrackBar(ImageEditorDlg.SaturationBar);
ImageEditorDlg.BrightnessBarChange(ImageEditorDlg);
ImageEditorDlg.ContrastBarChange(ImageEditorDlg);
ImageEditorDlg.GammaBarChange(ImageEditorDlg);
ImageEditorDlg.HueBarChange(ImageEditorDlg);
ImageEditorDlg.SaturationBarChange(ImageEditorDlg);
end;


{-----------------------------------------------------------------------------}


procedure TImageEditorDlg.ResetBCGBtnClick(Sender: TObject);
begin
ResetEnhance;
end;



procedure TImageEditorDlg.PreviewMnuClick(Sender: TObject);
begin
PreviewMnu.Checked:=not PreviewMnu.Checked;
ShowPreview(PreviewMnu.Checked);
end;



procedure TImageEditorDlg.PictureChange(Sender: TObject);
begin
end;



procedure TImageEditorDlg.PreciseSizing1Click(Sender: TObject);
begin
DoSizingDlg;
end;

end.
