unit WinMessageStrs;

interface

uses Windows,Messages;

function VirtKeycodeStr(Msg: integer): string;
function WinMessageToStr(Msg: integer): string;


implementation


function WinMessageToStr(Msg: integer): string;
begin
case Msg of
 WM_NULL: Result:='WM_NULL';
 WM_CREATE: Result:='WM_CREATE';
 WM_DESTROY: Result:='WM_DESTROY';
 WM_MOVE: Result:='WM_MOVE';
 WM_SIZE: Result:='WM_SIZE';
 WM_ACTIVATE: Result:='WM_ACTIVATE';
 WM_SETFOCUS: Result:='WM_SETFOCUS';
 WM_KILLFOCUS: Result:='WM_KILLFOCUS';
 WM_ENABLE: Result:='WM_ENABLE';
 WM_SETREDRAW: Result:='WM_SETREDRAW';
 WM_SETTEXT: Result:='WM_SETTEXT';
 WM_GETTEXT: Result:='WM_GETTEXT';
 WM_GETTEXTLENGTH: Result:='WM_GETTEXTLENGTH';
 WM_PAINT: Result:='WM_PAINT';
 WM_CLOSE: Result:='WM_CLOSE';
 WM_QUERYENDSESSION: Result:='WM_QUERYENDSESSION';
 WM_QUIT: Result:='WM_QUIT';
 WM_QUERYOPEN: Result:='WM_QUERYOPEN';
 WM_ERASEBKGND: Result:='WM_ERASEBKGND';
 WM_SYSCOLORCHANGE: Result:='WM_SYSCOLORCHANGE';
 WM_ENDSESSION: Result:='WM_ENDSESSION';
 WM_SYSTEMERROR: Result:='WM_SYSTEMERROR';
 WM_SHOWWINDOW: Result:='WM_SHOWWINDOW';
 WM_CTLCOLOR: Result:='WM_CTLCOLOR';
 WM_WININICHANGE: Result:='WM_WININICHANGE/WM_SETTINGCHANGE';
 WM_DEVMODECHANGE: Result:='WM_DEVMODECHANGE';
 WM_ACTIVATEAPP: Result:='WM_ACTIVATEAPP';
 WM_FONTCHANGE: Result:='WM_FONTCHANGE';
 WM_TIMECHANGE: Result:='WM_TIMECHANGE';
 WM_CANCELMODE: Result:='WM_CANCELMODE';
 WM_SETCURSOR: Result:='WM_SETCURSOR';
 WM_MOUSEACTIVATE: Result:='WM_MOUSEACTIVATE';
 WM_CHILDACTIVATE: Result:='WM_CHILDACTIVATE';
 WM_QUEUESYNC: Result:='WM_QUEUESYNC';
 WM_GETMINMAXINFO: Result:='WM_GETMINMAXINFO';
 WM_PAINTICON: Result:='WM_PAINTICON';
 WM_ICONERASEBKGND: Result:='WM_ICONERASEBKGND';
 WM_NEXTDLGCTL: Result:='WM_NEXTDLGCTL';
 WM_SPOOLERSTATUS: Result:='WM_SPOOLERSTATUS';
 WM_DRAWITEM: Result:='WM_DRAWITEM';
 WM_MEASUREITEM: Result:='WM_MEASUREITEM';
 WM_DELETEITEM: Result:='WM_DELETEITEM';
 WM_VKEYTOITEM: Result:='WM_VKEYTOITEM';
 WM_CHARTOITEM: Result:='WM_CHARTOITEM';
 WM_SETFONT: Result:='WM_SETFONT';
 WM_GETFONT: Result:='WM_GETFONT';
 WM_SETHOTKEY: Result:='WM_SETHOTKEY';
 WM_GETHOTKEY: Result:='WM_GETHOTKEY';
 WM_QUERYDRAGICON: Result:='WM_QUERYDRAGICON';
 WM_COMPAREITEM: Result:='WM_COMPAREITEM';
 WM_GETOBJECT: Result:='WM_GETOBJECT';
 WM_COMPACTING: Result:='WM_COMPACTING';
 WM_COMMNOTIFY: Result:='WM_COMMNOTIFY';
 WM_WINDOWPOSCHANGING: Result:='WM_WINDOWPOSCHANGING';
 WM_WINDOWPOSCHANGED: Result:='WM_WINDOWPOSCHANGED';
 WM_POWER: Result:='WM_POWER';
 WM_COPYDATA: Result:='WM_COPYDATA';
 WM_CANCELJOURNAL: Result:='WM_CANCELJOURNAL';
 WM_NOTIFY: Result:='WM_NOTIFY';
 WM_INPUTLANGCHANGEREQUEST: Result:='WM_INPUTLANGCHANGEREQUEST';
 WM_INPUTLANGCHANGE: Result:='WM_INPUTLANGCHANGE';
 WM_TCARD: Result:='WM_TCARD';
 WM_HELP: Result:='WM_HELP';
 WM_USERCHANGED: Result:='WM_USERCHANGED';
 WM_NOTIFYFORMAT: Result:='WM_NOTIFYFORMAT';
 WM_CONTEXTMENU: Result:='WM_CONTEXTMENU';
 WM_STYLECHANGING: Result:='WM_STYLECHANGING';
 WM_STYLECHANGED: Result:='WM_STYLECHANGED';
 WM_DISPLAYCHANGE: Result:='WM_DISPLAYCHANGE';
 WM_GETICON: Result:='WM_GETICON';
 WM_SETICON: Result:='WM_SETICON';
 WM_NCCREATE: Result:='WM_NCCREATE';
 WM_NCDESTROY: Result:='WM_NCDESTROY';
 WM_NCCALCSIZE: Result:='WM_NCCALCSIZE';
 WM_NCHITTEST: Result:='WM_NCHITTEST';
 WM_NCPAINT: Result:='WM_NCPAINT';
 WM_NCACTIVATE: Result:='WM_NCACTIVATE';
 WM_GETDLGCODE: Result:='WM_GETDLGCODE';
 WM_NCMOUSEMOVE: Result:='WM_NCMOUSEMOVE';
 WM_NCLBUTTONDOWN: Result:='WM_NCLBUTTONDOWN';
 WM_NCLBUTTONUP: Result:='WM_NCLBUTTONUP';
 WM_NCLBUTTONDBLCLK: Result:='WM_NCLBUTTONDBLCLK';
 WM_NCRBUTTONDOWN: Result:='WM_NCRBUTTONDOWN';
 WM_NCRBUTTONUP: Result:='WM_NCRBUTTONUP';
 WM_NCRBUTTONDBLCLK: Result:='WM_NCRBUTTONDBLCLK';
 WM_NCMBUTTONDOWN: Result:='WM_NCMBUTTONDOWN';
 WM_NCMBUTTONUP: Result:='WM_NCMBUTTONUP';
 WM_NCMBUTTONDBLCLK: Result:='WM_NCMBUTTONDBLCLK';
 WM_KEYFIRST: Result:='WM_KEYDOWN';
 WM_KEYUP: Result:='WM_KEYUP';
 WM_CHAR: Result:='WM_CHAR';
 WM_DEADCHAR: Result:='WM_DEADCHAR';
 WM_SYSKEYDOWN: Result:='WM_SYSKEYDOWN';
 WM_SYSKEYUP: Result:='WM_SYSKEYUP';
 WM_SYSCHAR: Result:='WM_SYSCHAR';
 WM_SYSDEADCHAR: Result:='WM_SYSDEADCHAR';
 WM_KEYLAST: Result:='WM_KEYLAST';
 WM_INITDIALOG: Result:='WM_INITDIALOG';
 WM_COMMAND: Result:='WM_COMMAND';
 WM_SYSCOMMAND: Result:='WM_SYSCOMMAND';
 WM_TIMER: Result:='WM_TIMER';
 WM_HSCROLL: Result:='WM_HSCROLL';
 WM_VSCROLL: Result:='WM_VSCROLL';
 WM_INITMENU: Result:='WM_INITMENU';
 WM_INITMENUPOPUP: Result:='WM_INITMENUPOPUP';
 WM_MENUSELECT: Result:='WM_MENUSELECT';
 WM_MENUCHAR: Result:='WM_MENUCHAR';
 WM_ENTERIDLE: Result:='WM_ENTERIDLE';
 WM_MENURBUTTONUP: Result:='WM_MENURBUTTONUP';
 WM_MENUDRAG: Result:='WM_MENUDRAG';
 WM_MENUGETOBJECT: Result:='WM_MENUGETOBJECT';
 WM_UNINITMENUPOPUP: Result:='WM_UNINITMENUPOPUP';
 WM_MENUCOMMAND: Result:='WM_MENUCOMMAND';
 WM_CHANGEUISTATE: Result:='WM_CHANGEUISTATE';
 WM_UPDATEUISTATE: Result:='WM_UPDATEUISTATE';
 WM_QUERYUISTATE: Result:='WM_QUERYUISTATE';
 WM_CTLCOLORMSGBOX: Result:='WM_CTLCOLORMSGBOX';
 WM_CTLCOLOREDIT: Result:='WM_CTLCOLOREDIT';
 WM_CTLCOLORLISTBOX: Result:='WM_CTLCOLORLISTBOX';
 WM_CTLCOLORBTN: Result:='WM_CTLCOLORBTN';
 WM_CTLCOLORDLG: Result:='WM_CTLCOLORDLG';
 WM_CTLCOLORSCROLLBAR: Result:='WM_CTLCOLORSCROLLBAR';
 WM_CTLCOLORSTATIC: Result:='WM_CTLCOLORSTATIC';
 WM_MOUSEFIRST: Result:='WM_MOUSEMOVE';
 WM_LBUTTONDOWN: Result:='WM_LBUTTONDOWN';
 WM_LBUTTONUP: Result:='WM_LBUTTONUP';
 WM_LBUTTONDBLCLK: Result:='WM_LBUTTONDBLCLK';
 WM_RBUTTONDOWN: Result:='WM_RBUTTONDOWN';
 WM_RBUTTONUP: Result:='WM_RBUTTONUP';
 WM_RBUTTONDBLCLK: Result:='WM_RBUTTONDBLCLK';
 WM_MBUTTONDOWN: Result:='WM_MBUTTONDOWN';
 WM_MBUTTONUP: Result:='WM_MBUTTONUP';
 WM_MBUTTONDBLCLK: Result:='WM_MBUTTONDBLCLK';
 WM_MOUSELAST: Result:='WM_MOUSEWHEEL';
 WM_PARENTNOTIFY: Result:='WM_PARENTNOTIFY';
 WM_ENTERMENULOOP: Result:='WM_ENTERMENULOOP';
 WM_EXITMENULOOP: Result:='WM_EXITMENULOOP';
 WM_NEXTMENU: Result:='WM_NEXTMENU';
 WM_SIZING: Result:='WM_SIZING';
 WM_CAPTURECHANGED: Result:='WM_CAPTURECHANGED';
 WM_MOVING: Result:='WM_MOVING';
 WM_POWERBROADCAST: Result:='WM_POWERBROADCAST';
 WM_DEVICECHANGE: Result:='WM_DEVICECHANGE';
 WM_IME_STARTCOMPOSITION: Result:='WM_IME_STARTCOMPOSITION';
 WM_IME_ENDCOMPOSITION: Result:='WM_IME_ENDCOMPOSITION';
 WM_IME_COMPOSITION: Result:='WM_IME_COMPOSITION';
 WM_IME_SETCONTEXT: Result:='WM_IME_SETCONTEXT';
 WM_IME_NOTIFY: Result:='WM_IME_NOTIFY';
 WM_IME_CONTROL: Result:='WM_IME_CONTROL';
 WM_IME_COMPOSITIONFULL: Result:='WM_IME_COMPOSITIONFULL';
 WM_IME_SELECT: Result:='WM_IME_SELECT';
 WM_IME_CHAR: Result:='WM_IME_CHAR';
 WM_IME_REQUEST: Result:='WM_IME_REQUEST';
 WM_IME_KEYDOWN: Result:='WM_IME_KEYDOWN';
 WM_IME_KEYUP: Result:='WM_IME_KEYUP';
 WM_MDICREATE: Result:='WM_MDICREATE';
 WM_MDIDESTROY: Result:='WM_MDIDESTROY';
 WM_MDIACTIVATE: Result:='WM_MDIACTIVATE';
 WM_MDIRESTORE: Result:='WM_MDIRESTORE';
 WM_MDINEXT: Result:='WM_MDINEXT';
 WM_MDIMAXIMIZE: Result:='WM_MDIMAXIMIZE';
 WM_MDITILE: Result:='WM_MDITILE';
 WM_MDICASCADE: Result:='WM_MDICASCADE';
 WM_MDIICONARRANGE: Result:='WM_MDIICONARRANGE';
 WM_MDIGETACTIVE: Result:='WM_MDIGETACTIVE';
 WM_MDISETMENU: Result:='WM_MDISETMENU';
 WM_ENTERSIZEMOVE: Result:='WM_ENTERSIZEMOVE';
 WM_EXITSIZEMOVE: Result:='WM_EXITSIZEMOVE';
 WM_DROPFILES: Result:='WM_DROPFILES';
 WM_MDIREFRESHMENU: Result:='WM_MDIREFRESHMENU';
 WM_MOUSEHOVER: Result:='WM_MOUSEHOVER';
 WM_MOUSELEAVE: Result:='WM_MOUSELEAVE';
 WM_CUT: Result:='WM_CUT';
 WM_COPY: Result:='WM_COPY';
 WM_PASTE: Result:='WM_PASTE';
 WM_CLEAR: Result:='WM_CLEAR';
 WM_UNDO: Result:='WM_UNDO';
 WM_RENDERFORMAT: Result:='WM_RENDERFORMAT';
 WM_RENDERALLFORMATS: Result:='WM_RENDERALLFORMATS';
 WM_DESTROYCLIPBOARD: Result:='WM_DESTROYCLIPBOARD';
 WM_DRAWCLIPBOARD: Result:='WM_DRAWCLIPBOARD';
 WM_PAINTCLIPBOARD: Result:='WM_PAINTCLIPBOARD';
 WM_VSCROLLCLIPBOARD: Result:='WM_VSCROLLCLIPBOARD';
 WM_SIZECLIPBOARD: Result:='WM_SIZECLIPBOARD';
 WM_ASKCBFORMATNAME: Result:='WM_ASKCBFORMATNAME';
 WM_CHANGECBCHAIN: Result:='WM_CHANGECBCHAIN';
 WM_HSCROLLCLIPBOARD: Result:='WM_HSCROLLCLIPBOARD';
 WM_QUERYNEWPALETTE: Result:='WM_QUERYNEWPALETTE';
 WM_PALETTEISCHANGING: Result:='WM_PALETTEISCHANGING';
 WM_PALETTECHANGED: Result:='WM_PALETTECHANGED';
 WM_HOTKEY: Result:='WM_HOTKEY';
 WM_PRINT: Result:='WM_PRINT';
 WM_PRINTCLIENT: Result:='WM_PRINTCLIENT';
 WM_HANDHELDFIRST: Result:='WM_HANDHELDFIRST';
 WM_HANDHELDLAST: Result:='WM_HANDHELDLAST';
 WM_PENWINFIRST: Result:='WM_PENWINFIRST';
 WM_PENWINLAST: Result:='WM_PENWINLAST';
 WM_COALESCE_FIRST: Result:='WM_COALESCE_FIRST';
 WM_COALESCE_LAST: Result:='WM_COALESCE_LAST';
 WM_DDE_FIRST: Result:='WM_DDE_INITIATE';
 WM_DDE_TERMINATE: Result:='WM_DDE_TERMINATE';
 WM_DDE_ADVISE: Result:='WM_DDE_ADVISE';
 WM_DDE_UNADVISE: Result:='WM_DDE_UNADVISE';
 WM_DDE_ACK: Result:='WM_DDE_ACK';
 WM_DDE_DATA: Result:='WM_DDE_DATA';
 WM_DDE_REQUEST: Result:='WM_DDE_REQUEST';
 WM_DDE_POKE: Result:='WM_DDE_POKE';
 WM_DDE_EXECUTE: Result:='WM_DDE_EXECUTE';
 WM_APP: Result:='WM_APP';
 WM_USER: Result:='WM_USER';
 else Result:='Unknown';
 end;
end;

{Avoid dublicate case problems}

const  VK_LSHIFT1 = $10;
const  VK_LSHIFT2 = 160;

function VirtKeycodeStr(Msg: integer): string;
begin
case Msg of
 VK_LBUTTON: Result:='VK_LBUTTON';
 VK_RBUTTON: Result:='VK_RBUTTON';
 VK_CANCEL: Result:='VK_CANCEL';
 VK_MBUTTON: Result:='VK_MBUTTON';
 VK_BACK: Result:='VK_BACK';
 VK_TAB: Result:='VK_TAB';            
 VK_CLEAR: Result:='VK_CLEAR';      
 VK_RETURN: Result:='VK_RETURN';
 VK_LSHIFT1: Result:='VK_LSHIFT';
 VK_CONTROL: Result:='VK_CONTROL';      
 VK_MENU: Result:='VK_MENU';           
 VK_PAUSE: Result:='VK_PAUSE';
 VK_CAPITAL: Result:='VK_CAPITAL';
 VK_KANA: Result:='VK_KANA/VK_HANGUL';   
 VK_JUNJA: Result:='VK_JUNJA';
 VK_FINAL: Result:='VK_FINAL';
 VK_HANJA: Result:='VK_HANJA/VK_KANJI'; 
 VK_CONVERT: Result:='VK_CONVERT';
 VK_NONCONVERT: Result:='VK_NONCONVERT';
 VK_ACCEPT: Result:='VK_ACCEPT';
 VK_MODECHANGE: Result:='VK_MODECHANGE';  
 VK_ESCAPE: Result:='VK_ESCAPE';
 VK_SPACE: Result:='VK_SPACE';
 VK_PRIOR: Result:='VK_PRIOR';
 VK_NEXT: Result:='VK_NEXT';
 VK_END: Result:='VK_END';
 VK_HOME: Result:='VK_HOME';
 VK_LEFT: Result:='VK_LEFT';
 VK_UP: Result:='VK_UP';
 VK_RIGHT: Result:='VK_RIGHT';         
 VK_DOWN: Result:='VK_DOWN';
 VK_SELECT: Result:='VK_SELECT';
 VK_PRINT: Result:='VK_PRINT';
 VK_EXECUTE: Result:='VK_EXECUTE';
 VK_SNAPSHOT: Result:='VK_SNAPSHOT';
 VK_INSERT: Result:='VK_INSERT';
 VK_DELETE: Result:='VK_DELETE';
 VK_HELP: Result:='VK_HELP';
 $30: Result:='VK_0';
 $31: Result:='VK_1';
 $32: Result:='VK_2';
 $33: Result:='VK_3';
 $34: Result:='VK_4';      
 $35: Result:='VK_5';
 $36: Result:='VK_6';
 $37: Result:='VK_7';
 $38: Result:='VK_8';
 $39: Result:='VK_9';
 $41: Result:='VK_A';
 $42: Result:='VK_B';
 $43: Result:='VK_C';
 $44: Result:='VK_D';
 $45: Result:='VK_E';
 $46: Result:='VK_F';
 $47: Result:='VK_G';
 $48: Result:='VK_H';
 $49: Result:='VK_I';
 $4A: Result:='VK_J';
 $4B: Result:='VK_K';
 $4C: Result:='VK_L';
 $4D: Result:='VK_M';
 $4E: Result:='VK_N';
 $4F: Result:='VK_O';
 $50: Result:='VK_P';
 $51: Result:='VK_Q';
 $52: Result:='VK_R';
 $53: Result:='VK_S';
 $54: Result:='VK_T';           
 $55: Result:='VK_U';
 $56: Result:='VK_V';
 $57: Result:='VK_W';
 $58: Result:='VK_X';
 $59: Result:='VK_Y';
 $5A: Result:='VK_Z';
 VK_LWIN: Result:='VK_LWIN';
 VK_RWIN: Result:='VK_RWIN';
 VK_APPS: Result:='VK_APPS';
 VK_NUMPAD0: Result:='VK_NUMPAD0';
 VK_NUMPAD1: Result:='VK_NUMPAD1';
 VK_NUMPAD2: Result:='VK_NUMPAD2';
 VK_NUMPAD3: Result:='VK_NUMPAD3';
 VK_NUMPAD4: Result:='VK_NUMPAD4';
 VK_NUMPAD5: Result:='VK_NUMPAD5';
 VK_NUMPAD6: Result:='VK_NUMPAD6';
 VK_NUMPAD7: Result:='VK_NUMPAD7';
 VK_NUMPAD8: Result:='VK_NUMPAD8';
 VK_NUMPAD9: Result:='VK_NUMPAD9';
 VK_MULTIPLY: Result:='VK_MULTIPLY';
 VK_ADD: Result:='VK_ADD';
 VK_SEPARATOR: Result:='VK_SEPARATOR';
 VK_SUBTRACT: Result:='VK_SUBTRACT';
 VK_DECIMAL: Result:='VK_DECIMAL';
 VK_DIVIDE: Result:='VK_DIVIDE';
 VK_F1: Result:='VK_F1';
 VK_F2: Result:='VK_F2';
 VK_F3: Result:='VK_F3';
 VK_F4: Result:='VK_F4';
 VK_F5: Result:='VK_F5';
 VK_F6: Result:='VK_F6';
 VK_F7: Result:='VK_F7';
 VK_F8: Result:='VK_F8';   
 VK_F9: Result:='VK_F9';
 VK_F10: Result:='VK_F10';
 VK_F11: Result:='VK_F11';
 VK_F12: Result:='VK_F12';
 VK_F13: Result:='VK_F13';
 VK_F14: Result:='VK_F14';
 VK_F15: Result:='VK_F15';
 VK_F16: Result:='VK_F16';
 VK_F17: Result:='VK_F17';
 VK_F18: Result:='VK_F18';
 VK_F19: Result:='VK_F19';
 VK_F20: Result:='VK_F20';
 VK_F21: Result:='VK_F21';
 VK_F22: Result:='VK_F22';
 VK_F23: Result:='VK_F23';
 VK_F24: Result:='VK_F24';
 VK_NUMLOCK: Result:='VK_NUMLOCK';
 VK_SCROLL: Result:='VK_SCROLL';
 VK_LSHIFT2: Result:='VK_LSHIFTX';
 VK_RSHIFT: Result:='VK_RSHIFT';
 VK_LCONTROL: Result:='VK_LCONTROL';
 VK_RCONTROL: Result:='VK_RCONTROL';
 VK_LMENU: Result:='VK_LMENU';
 VK_RMENU: Result:='VK_RMENU';
 VK_PROCESSKEY: Result:='VK_PROCESSKEY';
 VK_ATTN: Result:='VK_ATTN';
 VK_CRSEL: Result:='VK_CRSEL';
 VK_EXSEL: Result:='VK_EXSEL';
 VK_EREOF: Result:='VK_EREOF';
 VK_PLAY: Result:='VK_PLAY';
 VK_ZOOM: Result:='VK_ZOOM';
 VK_NONAME: Result:='VK_NONAME';
 VK_PA1: Result:='VK_PA1';
 VK_OEM_CLEAR: Result:='VK_OEM_CLEAR';
 else Result:='Unkown';
 end;
end;


end.
